#include <stdio.h>
#include <math.h>
unsigned long racunaj(unsigned long V){
	unsigned long broj=0,cj=0;
	while(V>0){
	cj=V%10;
	V/=10;
	if(cj==9)broj+=3;
	else if (cj==8)broj+=3;
	else if (cj==7)broj+=2;
	else if (cj==6)broj+=2;
	else if (cj==5)broj+=1;
	else if (cj==4)broj+=2;
	else if (cj==3)broj+=2;
	else if (cj==2)broj+=1;
	else if (cj==1)broj+=1;
	}
	return broj;
}
int main(){
	unsigned long V;
	scanf("%lu",&V);
	printf("Resenje:%lu",racunaj(V));
	return 0;
}